<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">

        <title>{% block title %}postmarketOS{% endblock %}</title>

        <meta name="description" content="Aiming for a 10 year life-cycle for smartphones">
        <meta name="keywords" content="postmarketOS">

        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="robots" content="all">

        <link rel="canonical" href="https://postmarketos.org{{ request.path }}">
        <link rel="shortcut icon" href="/static/img/favicon.ico">
        <link rel="stylesheet" href="/static/css/base.css">
        <link rel="stylesheet" href="/static/css/codehilite.css">
        {% if blog_name %}<link rel="alternate" type="application/atom+xml" title="postmarketOS Blog" href="{{ url_for(blog_name + '_atom') }}">{% endif %}
        <link rel="me" href="https://fosstodon.org/@postmarketOS">
        {% block extra_link %}{% endblock %}
        <meta name="theme-color" content="#009900">
        <meta property="og:site_name" content="postmarketOS">
        {% if preview %}
        <meta property="og:image" content="https://postmarketos.org/static/img/{{ preview }}">
        {% endif %}
    </head>
    <body>
        <header class="header">
            <a class="logo" name="^" href="/">
                <img src="/static/img/2024-04-redesign/logo.svg" alt="">
                <span>postmarketOS</span>
            </a>
            <div class="nav">
                <a href="/"
                    {% if request.path == "/" %}class="active"{% endif %}
                    >Home</a>
                <a href="/install/"
                    {% if request.path.startswith("/install") %}class="active"{% endif %}
                    >Install</a>
                <a href="/blog/"
                    {% if request.path.startswith("/blog") %}class="active"{% endif %}
                    >Blog</a>
                <a href="/explore/"
                    {% if request.path.startswith("/explore") %}class="active"{% endif %}
                    >Explore</a>
                <a href="/team/"
                    {% if request.path.startswith("/team") or
                          request.path.startswith("/core-contributors") or
                          request.path.startswith("/trusted-contributors") or
                          request.path.startswith("/board") or
                          request.path.startswith("/social-media-team")
                    %}class="active"{% endif %}
                    >Team</a>
                <a href="/donate/">Donate</a>
            </div>
        </header>
        <main class="main">
            {% block body %}
            {% endblock %}
        </main>
        <footer class="footer">
            <a href="/contribute" class="icon-button contribute">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16">
                    <g transform="translate(-481 -681)">
                        <path d="m 496 686.76 c 0 -2.077 -1.687 -3.76 -3.769 -3.76 c -1.371 0 -2.571 0.731 -3.231 1.823 c -0.659 -1.092 -1.86 -1.823 -3.231 -1.823 c -2.082 0 -3.769 1.683 -3.769 3.76 0 1.081 0.458 2.054 1.19 2.74 l -0.001 0 5.725 5.5 5.899 -5.5 -0.002 0 c 0.732 -0.686 1.189 -1.659 1.189 -2.74"/>
                    </g>
                </svg>
                <span>Contribute</span>
            </a>
            <div class="nav-bottom">
                <a
{% if blog_name %}
                    href="{{ url_for(blog_name + '_atom') }}"
{% else %}
                    href="/blog/feed.atom"
{% endif %}
                    class="icon-button">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16">
                        <path style="visibility:visible;shape-rendering:auto;color-interpolation-filters:linearRGB;opacity:1;image-rendering:auto;fill-opacity:1;text-rendering:auto;stroke:none;display:inline;fill-rule:nonzero;color-rendering:auto;color-interpolation:sRGB" d="m 1 3.07 1.035 0 c 6.03 0 10.895 4.865 10.895 10.895 l 0 1.035 2.07 0 0 -1.035 c 0 -7.148 -5.817 -12.965 -12.965 -12.965 l -1.035 0 0 2.07 z"/>
                        <path style="visibility:visible;shape-rendering:auto;color-interpolation-filters:linearRGB;opacity:1;image-rendering:auto;fill-opacity:1;text-rendering:auto;stroke:none;display:inline;fill-rule:nonzero;color-rendering:auto;color-interpolation:sRGB" d="m 1 8.07 1.035 0 c 3.268 0 5.895 2.627 5.895 5.895 l 0 1.035 2.07 0 0 -1.035 c 0 -4.387 -3.578 -7.965 -7.965 -7.965 l -1.035 0 0 2.07 z"/>
                        <circle r="2" style="opacity:1;fill-opacity:1;stroke:none;fill-rule:nonzero" cy="13" cx="3"/>
                    </svg>
                    <span>Feed</span>
                </a>
                <a href="/privacy-policy" class="icon-button{% if request.path.startswith("/privacy-policy") %} active{% endif %}">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16">
                        <rect width="14" height="10" x="1" y="6" rx="2" style="opacity:1;fill-opacity:1;stroke:none;fill-rule:nonzero"/>
                        <path d="m 8 0 c -0.82 0 -1.64 0.164 -2.396 0.49 c -1.512 0.653 -2.604 1.965 -2.604 3.51 l 0 3 l 2 0 l 0 -3 c 0 -0.594 0.433 -1.258 1.396 -1.674 c 0.963 -0.416 2.244 -0.416 3.207 0 c 0.963 0.416 1.396 1.08 1.396 1.674 l 0 3 l 2 0 l 0 -3 c 0 -1.545 -1.091 -2.857 -2.604 -3.51 c -0.756 -0.327 -1.576 -0.49 -2.396 -0.49 z" mix-blend-mode="normal" isolation="auto" white-space="normal" solid-opacity="1" solid-color="#000000" style="visibility:visible;shape-rendering:auto;color-interpolation-filters:linearRGB;opacity:1;image-rendering:auto;fill-opacity:1;stroke:none;display:inline;fill-rule:nonzero;color-rendering:auto;color-interpolation:sRGB"/>
                    </svg>
                    <span>Privacy Policy</span>
                </a>
                <a href="/coc" class="icon-button{% if request.path.startswith("/coc") %} active{% endif %}">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16">
                        <g transform="matrix(0.0675,0,0,0.06923077,0.16000023,14)">
                            <path d="m 145.78 -173.33 44.44 0 c 29.63 0 29.63 28.889 29.63 28.889 l 0 43.33 c 0 14.444 -20.931 28.889 -29.63 28.889 l 0 21.667 44.44 21.667 0 28.889 -133.33 0 0 -28.889 44.44 -21.667 0 -21.667 c 0 0 -29.63 -14.444 -29.63 -28.889 l 0 -43.33 c 0 0 0 -28.889 29.63 -28.889 z"/>
                        </g>
                        <g transform="matrix(0.0525,0,0,0.05192308,-4.3199998,11)">
                            <path d="m 141 -154.07 55.57 0 0 77.04 38.1 38.519 l -57.14 38.519 l 0 19.259 -76.19 0 0 -26.667 39.668 -21.481 0 -28.889 c 0 0 -20.693 -8.116 -20.62 -19.259 l 0 -57.778 c 0 0 1.572 -19.259 20.62 -19.259 z"/>
                        </g>
                        <g transform="matrix(0.075,0,0,0.075,-17.780636,12.526475)"/>
                    </svg>
                    <span>Code of Conduct</span>
                </a>
            </div>
            <div class="copyright">
                &copy; 2025 postmarketOS.org contributors<br>
                design by
                <a href="https://gitlab.com/dikasetyaprayogi">Dika Setya</a>,
                <a href="https://bewares.it/">Markus Göllnitz</a> and
                <a href="/core-contributors/#oliver-smith-ollieparanoid">Oliver Smith</a>
            </div>
        </footer>
    </body>
</html>
